Report context usage
curl --request GET \
--url https://api.arg.ai/api/agent/context/{chatId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arg.ai/api/agent/context/{chatId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arg.ai/api/agent/context/{chatId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Agent
Report context usage
Report how the chat’s history is being reduced to fit the model’s context.
GET
/
api
/
agent
/
context
/
{chatId}
Report context usage
curl --request GET \
--url https://api.arg.ai/api/agent/context/{chatId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arg.ai/api/agent/context/{chatId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arg.ai/api/agent/context/{chatId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Reduction mode to report on. Defaults to dry_run.
Set to true to include per-group detail.
Response
Successful response
The response is of type object.